<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/l_layout"
        android:layout_width="match_parent"
        android:layout_height="180dp"
        android:layout_marginStart="25dp"
        android:layout_marginEnd="25dp"
        android:layout_centerInParent="true"
        android:background="@drawable/shape_get_redpackage"
        android:orientation="vertical">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="20dp"
            android:text="邀请码领取，金额更大"
            android:textColor="#ffffffff"
            android:textSize="15sp" />

        <EditText
            android:id="@+id/ed_invitation_code"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:maxLength="10"
            android:singleLine="true"
            android:layout_marginTop="20dp"
            android:background="@drawable/shape_get_redpackage_text_white"
            android:gravity="center"
            android:hint="@string/input_invitation_code"
            android:textColor="@color/black"
            android:textSize="15sp" />

        <TextView
            android:id="@+id/tv_get_redpackage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="35dp"
            android:background="@drawable/shape_get_redpackage_text_yellow"
            android:gravity="center"
            android:text="领取红包"
            android:textColor="#ff3e2e08"
            android:textSize="12sp" />
    </LinearLayout>

    <ImageView
        android:id="@+id/iv_close"
        android:layout_width="45dp"
        android:layout_height="45dp"
        android:layout_below="@id/l_layout"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="10dp"
        android:src="@mipmap/close" />
</RelativeLayout>